> For the complete documentation index, see [llms.txt](https://docs.overdare.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.overdare.com/korean/development/api-reference/enums/humanoiddisplaydistancetype.md).

# HumanoidDisplayDistanceType

## Overview

현재 지원되지 않습니다.

## Items

| Name    | Value | Description                                               |
| ------- | ----- | --------------------------------------------------------- |
| Viewer  | 0     | 보는 사용자(시점 카메라) 기준 거리로 휴머노이드의 이름과 체력 표시 여부를 계산합니다. 기본값입니다. |
| Subject | 1     | 표시 대상이 되는 휴머노이드 본인을 기준으로 거리를 계산해 이름과 체력을 표시합니다.           |
| None    | 2     | 거리와 무관하게 이름과 체력 표시(네임플레이트)를 항상 비활성화합니다.                   |

## See also

{% content-ref url="/pages/tGT9IdiJo5SczI6Va0ej" %}
[Humanoid](/korean/development/api-reference/classes/humanoid.md)
{% endcontent-ref %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.overdare.com/korean/development/api-reference/enums/humanoiddisplaydistancetype.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
